Skip to main content
`Ctrl`+`K`

# PetscViewerASCIIGetTab

Return the number of tabs used by `PetscViewer`.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerASCIIGetTab(PetscViewer viewer, PetscInt *tabs)

Not Collective, meaningful on first processor only; No Fortran Support

## Input Parameter

- viewer - obtained with `PetscViewerASCIIOpen()`

## Output Parameter

- tabs - number of tabs

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERASCII`, `PetscPrintf()`, `PetscSynchronizedPrintf()`, `PetscViewerASCIIPrintf()`, `PetscViewerASCIISetTab()`, `PetscViewerASCIIPopTab()`, `PetscViewerASCIISynchronizedPrintf()`, `PetscViewerASCIIOpen()`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerSetType()`, `PetscViewerASCIIGetPointer()`, `PetscViewerASCIIPushTab()`

## Level

developer

## Location

src/sys/classes/viewer/impls/ascii/filev.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages